rte_bus_vdev.h(3)

NAME
rte_bus_vdev.h

SYNOPSIS

  Functions

int rte_vdev_add_custom_scan (rte_vdev_scan_callback callback, void *user_arg)
int rte_vdev_remove_custom_scan (rte_vdev_scan_callback callback, void *user_arg)
int rte_vdev_init (const char *name, const char *args)
int rte_vdev_uninit (const char *name)

Detailed Description

RTE virtual bus API

Definition in file rte_bus_vdev.h.

Function Documentation

  int rte_vdev_add_custom_scan (rte_vdev_scan_callback callback, void * user_arg)
Add a callback to be called on vdev scan before reading the devargs list.

This function cannot be called in a scan callback because of deadlock.

Parameters
    callback The function to be called which can update the devargs list.
    user_arg An opaque pointer passed to callback.

Returns
    0 on success, negative on error

  int rte_vdev_remove_custom_scan (rte_vdev_scan_callback callback, void * user_arg)
Remove a registered scan callback.

This function cannot be called in a scan callback because of deadlock.

Parameters
    callback The registered function to be removed.
    user_arg The associated opaque pointer or (void*)-1 for any.

Returns
    0 on success

  int rte_vdev_init (const char * name, const char * args)
Initialize a driver specified by name.

Parameters
    name The pointer to a driver name to be initialized.
    args The pointer to arguments used by driver initialization.

Returns
    0 on success, negative on error

  int rte_vdev_uninit (const char * name)
Uninitialize a driver specified by name.

Parameters
    name The pointer to a driver name to be uninitialized.

Returns
    0 on success, negative on error

Author

Generated automatically by Doxygen for DPDK from the source code.